Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.ms
Class PieceReader

    java.lang.Object
      java.io.Reader
          org.archive.io.SeekReader
              org.archive.util.ms.PieceReader

All Implemented Interfaces:
  it.unimi.dsi.fastutil.io.RepositionableStream, java.io.Closeable, java.lang.Readable

     class PieceReader

extends SeekReader

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`PieceReader(PieceTable table, SeekInputStream doc)`

Method Summary
`void` | `close()`
`long` | `position()`
`void` | `position(long p)`
`int` | `read()`
`int` | `read(char[] buf, int ofs, int len)`

Methods inherited from class org.archive.io.SeekReader
`mark, markSupported, reset`

Methods inherited from class java.io.Reader
`read, read, ready, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PieceReader

    public PieceReader(PieceTable table,
                       SeekInputStream doc)
                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### read

    public int read(char[] buf,
                    int ofs,
                    int len)
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### position

    public long position()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### position

    public void position(long p)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.